.toggle-sidenav {
  position: absolute;
  right: -25px;
  top: 26px;
  background-color: var(--color-background-grey);
  padding: 14px 8px;
  z-index: 9999;
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
  border: none;
  font-size: 14px;
  border-left: 1px solid rgba(#979797, 0.2);
  cursor: pointer;

  i.close {
    display: inline-block;
    transform: rotate(180deg);
  }
}

.lines-wrapper {
  position: relative;
  padding: 50px 0 10px 0;
  border-bottom: solid 1px rgba(151, 151, 151, 0.2);
  background-color: var(--color-background-grey);
  min-height: 95px;

  .toggle-lines {
    position: absolute;
    bottom: -21px;
    left: 50%;
    transform: translateX(-50%);
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
    border: none;
    font-size: 14px;
    cursor: pointer;
    padding: 2px 15px;
    background-color: var(--color-background-grey);

    i {
      display: inline-block;
      transform: rotate(-90deg);

      &.opened {
        transform: rotate(90deg);
      }
    }
  }
}

.buttons-container {
  background-color: var(--color-background-grey);
  padding: 25px 20px 0 20px;
  position: relative;
  z-index: 2;

  .buttons {
    display: grid;
    grid-template-columns: 40px 1fr;
    grid-column-gap: 20px;
    align-items: center;
  }
}

.line-information {
  height: 100%;
  width: 100%;
  padding-right: 20px;
  margin-top: 20px;

  .drag-scroll-vertical {
    width: calc(100% + 17px);
  }
}

.lines {
  ::ng-deep .drag-scroll-container {
    height: 60px !important;
    cursor: grab;
  }

  ::ng-deep .drag-scroll-content {
    overflow: hidden;
  }

  display: -webkit-box;
  display: flex;
  background-color: var(--color-background-grey);
  flex-wrap: wrap;
  overflow: hidden;
  position: absolute;
  z-index: 999;
  max-height: 35px;
  padding-left: 20px;

  &.opened {
    max-height: none;
    border-bottom: solid 1px rgba(151, 151, 151, 0.2);
    overflow: visible;
  }

  &::-webkit-scrollbar {
    display: none;
  }

  .line {
    display: inline-flex;
    border: 1px solid;
    background-color: rgba(#fff, 0.5);
    border-radius: 50%;
    padding: 7px;
    font-weight: bold;
    font-size: 13px;
    margin-right: 10px;
    cursor: pointer;
    width: 28px;
    height: 28px;
    justify-content: center;
    align-items: center;
    position: relative;
    margin-bottom: 11px;

    .line-selected {
      width: 35px;
      height: 3px;
      position: absolute;
      bottom: -26px;
      background-color: var(--color-selected);
    }
  }
}

.see-all-statistics {
  border-top: solid 1px rgba(#979797, 0.2);
  background-color: var(--color-background-grey);
  padding: 20px;
  text-align: center;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;

  a {
    font-size: 14px;
    color: #34353d;
    font-weight: 600;
    cursor: pointer;
  }
}
